
Redmine - Defect #41967

Replace SCM action legacy icons with SVG icons in the tree view of the repository browser

2024-12-11 00:46 - Marius BĂLTEANU

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Marius BĂLTEANU % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 6.0.5   

Resolution: Fixed Affected version:  

Description

The icon images in the repository browser's tree view are using the old style

 clipboard-202411161059-tcl5u.png 

Related issues:

Copied from Redmine - Patch #41775: Adjust the vertical alignment of icons in... Closed

Associated revisions

Revision 23553 - 2025-03-24 21:39 - Marius BĂLTEANU

Replace SCM action icons in the tree view of the repository browser (#41967).

Revision 23556 - 2025-03-24 21:57 - Marius BĂLTEANU

Merge r23553 from trunk to 6.0-stable (#41967).

History

#1 - 2024-12-11 00:46 - Marius BĂLTEANU

- Copied from Patch #41775: Adjust the vertical alignment of icons in the tree view of the repository browser added

#2 - 2024-12-11 01:07 - Marius BĂLTEANU

- Tracker changed from Patch to Defect

#3 - 2025-01-28 00:36 - Go MAEDA

- Target version changed from 6.0.3 to 6.0.4

#4 - 2025-03-02 08:39 - Go MAEDA

- Target version changed from 6.0.4 to 6.0.5

#5 - 2025-03-24 21:38 - Marius BĂLTEANU

- Subject changed from Replace old icon in the tree view of the repository browser to Replace SCM action icons in the tree view of the repository

browser

- Assignee set to Marius BĂLTEANU

#6 - 2025-03-24 21:47 - Marius BĂLTEANU

- Status changed from New to Resolved

- Resolution set to Fixed

Replaced the legacy icons in r23553 for the following actions:

folder-open

added

modified

copied

renamed

deleted

In scm.css, there are some additional CSS classes that I'm note sure that are used anymore:

2025-04-01 1/2

https://www.redmine.org/projects/redmine/repository/svn/revisions/23553


li.change

li.change.folder.change-A

li.change.folder.change-M

I tried to keep the existing look and feel, but I think we can improve the icons by switching in a future release to "circle-lettter-<action>" icons (ex:

circle-letter-m).

Please let me know if I missed anything.

#7 - 2025-03-24 21:47 - Marius BĂLTEANU

- File deleted (adjust-valign-of-icons.patch)

#8 - 2025-03-24 21:57 - Marius BĂLTEANU

- Status changed from Resolved to Closed

#9 - 2025-03-24 21:57 - Marius BĂLTEANU

- Subject changed from Replace SCM action icons in the tree view of the repository browser to Replace SCM action legacy icons with SVG icons in

the tree view of the repository browser
